# encoding: UTF-8

# This plugin should be reloaded in development mode.
if (Rails.env == "development")
  ActiveSupport::Dependencies.autoload_once_paths.reject!{|x| x =~ /^#{Regexp.escape(File.dirname(__FILE__))}/}
end

require "redmine"
require "rubygems"

Issue.send(:include, MembersReport::IssuePatch)

require_dependency "members_report/view_hooks"

Redmine::Plugin.register :members_report do
  name "Members report plugin"
  url "https://redmine.ociotec.com/projects/members-report"
  author "Emilio González Montaña"
  author_url "http://ociotec.com"
  description "This is a plugin for Redmine reports statistics about members of a project."
  version "0.5.0"
  requires_redmine :version_or_higher => "2.1.0"
  permission(:members_report_me,
             {:members_report => [:me, :graph_lines]})
  permission(:members_report_all,
             {:members_report => [:all, :graph_lines]})
  settings(:default => {"bug_tracker_ids" => ""},
           :partial => "settings/members_report_settings")
end
